#include <bits/stdc++.h>
using namespace std;
int main()
{
  int x, y, a, b, d, d1;
  cin >> a >> b;
  cin >> x >> y;
  d=a-x;
  d1=b-y;
  if(d==0 && d1>0)
    cout << "drugi" << endl;
  else if(d>0 && d1==0)
    cout << "prvi" << endl;
  else if (d==0 && d1==0)
    cout << "nijedan" << endl;
  else if (d>0 && d1>0)
    cout << "?" << endl;
  return 0;
}